ChangeSet 1.1587.3.37, 2004/05/05 13:36:11-07:00, stern@rowland.harvard.edu

[PATCH] USB Storage: unusual_devs.h update

On 4 May 2004, Rajesh Kumble Nayak wrote:

> The Above patch work fine for Sony Hc-85
> I shall post the dmesg entry soon.
>
> With many thanks
> Rajesh

Greg and Pete, here's the patch.  It's possible that this entry could be
combined with the previous one, but until we know definitely they should
be kept separate.


 drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri May 14 15:29:46 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri May 14 15:29:46 2004
@@ -297,6 +297,13 @@
 		US_SC_SCSI, US_PR_DEVICE, NULL,
 		US_FL_SINGLE_LUN | US_FL_MODE_XLATE),
 
+/* Submitted by Rajesh Kumble Nayak <nayak@obs-nice.fr> */
+UNUSUAL_DEV(  0x054c, 0x002e, 0x0500, 0x0500, 
+		"Sony",
+		"Handycam HC-85",
+		US_SC_UFI, US_PR_DEVICE, NULL,
+		US_FL_SINGLE_LUN | US_FL_MODE_XLATE),
+
 UNUSUAL_DEV(  0x054c, 0x0032, 0x0000, 0x9999,
 		"Sony",
 		"Memorystick MSC-U01N",
